package com.mdd.admin.validate.channel;

import com.mdd.common.validator.annotation.IntegerContains;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

@ApiModel("公众号关键词回复参数")
public class ChannelRpKeywordValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   private Integer id;
   @ApiModelProperty(
      value = "名称",
      required = true
   )
   private @NotNull(
   message = "name参数缺失"
) @NotEmpty(
   message = "规则名称不能为空"
) String name;
   @ApiModelProperty(
      value = "回复内容",
      required = true
   )
   private @NotNull(
   message = "content参数缺失"
) @NotEmpty(
   message = "回复内容不能为空"
) String content;
   @IntegerContains(
      values = {1, 2}
   )
   @ApiModelProperty(
      value = "内容类型",
      required = true
   )
   private @NotNull(
   message = "contentType参数缺失"
) Integer contentType;
   @IntegerContains(
      values = {0, 1},
      message = "状态选择异常"
   )
   @ApiModelProperty(
      value = "状态",
      required = true
   )
   private @NotNull(
   message = "status参数缺失"
) Integer status;
   @ApiModelProperty(
      value = "关键词",
      required = true
   )
   private @NotNull(
   message = "keyword参数缺失"
) @NotEmpty(
   message = "关键词不能为空"
) String keyword;
   @IntegerContains(
      values = {1, 2}
   )
   @ApiModelProperty(
      value = "模式",
      required = true
   )
   private @NotNull(
   message = "matchingType参数缺失"
) Integer matchingType;
   @ApiModelProperty(
      value = "排序",
      required = true
   )
   private @NotNull(
   message = "sort参数缺失"
) Integer sort;

   public Integer getId() {
      return this.id;
   }

   public @NotNull(
   message = "name参数缺失"
) String getName() {
      return this.name;
   }

   public @NotNull(
   message = "content参数缺失"
) String getContent() {
      return this.content;
   }

   public @NotNull(
   message = "contentType参数缺失"
) Integer getContentType() {
      return this.contentType;
   }

   public @NotNull(
   message = "status参数缺失"
) Integer getStatus() {
      return this.status;
   }

   public @NotNull(
   message = "keyword参数缺失"
) String getKeyword() {
      return this.keyword;
   }

   public @NotNull(
   message = "matchingType参数缺失"
) Integer getMatchingType() {
      return this.matchingType;
   }

   public @NotNull(
   message = "sort参数缺失"
) Integer getSort() {
      return this.sort;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(@NotNull(
   message = "name参数缺失"
) String name) {
      this.name = name;
   }

   public void setContent(@NotNull(
   message = "content参数缺失"
) String content) {
      this.content = content;
   }

   public void setContentType(@NotNull(
   message = "contentType参数缺失"
) Integer contentType) {
      this.contentType = contentType;
   }

   public void setStatus(@NotNull(
   message = "status参数缺失"
) Integer status) {
      this.status = status;
   }

   public void setKeyword(@NotNull(
   message = "keyword参数缺失"
) String keyword) {
      this.keyword = keyword;
   }

   public void setMatchingType(@NotNull(
   message = "matchingType参数缺失"
) Integer matchingType) {
      this.matchingType = matchingType;
   }

   public void setSort(@NotNull(
   message = "sort参数缺失"
) Integer sort) {
      this.sort = sort;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelRpKeywordValidate)) {
         return false;
      } else {
         ChannelRpKeywordValidate other = (ChannelRpKeywordValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label107: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label107;
                  }
               } else if (this$id.equals(other$id)) {
                  break label107;
               }

               return false;
            }

            Object this$contentType = this.getContentType();
            Object other$contentType = other.getContentType();
            if (this$contentType == null) {
               if (other$contentType != null) {
                  return false;
               }
            } else if (!this$contentType.equals(other$contentType)) {
               return false;
            }

            Object this$status = this.getStatus();
            Object other$status = other.getStatus();
            if (this$status == null) {
               if (other$status != null) {
                  return false;
               }
            } else if (!this$status.equals(other$status)) {
               return false;
            }

            label86: {
               Object this$matchingType = this.getMatchingType();
               Object other$matchingType = other.getMatchingType();
               if (this$matchingType == null) {
                  if (other$matchingType == null) {
                     break label86;
                  }
               } else if (this$matchingType.equals(other$matchingType)) {
                  break label86;
               }

               return false;
            }

            label79: {
               Object this$sort = this.getSort();
               Object other$sort = other.getSort();
               if (this$sort == null) {
                  if (other$sort == null) {
                     break label79;
                  }
               } else if (this$sort.equals(other$sort)) {
                  break label79;
               }

               return false;
            }

            label72: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label72;
                  }
               } else if (this$name.equals(other$name)) {
                  break label72;
               }

               return false;
            }

            Object this$content = this.getContent();
            Object other$content = other.getContent();
            if (this$content == null) {
               if (other$content != null) {
                  return false;
               }
            } else if (!this$content.equals(other$content)) {
               return false;
            }

            Object this$keyword = this.getKeyword();
            Object other$keyword = other.getKeyword();
            if (this$keyword == null) {
               if (other$keyword != null) {
                  return false;
               }
            } else if (!this$keyword.equals(other$keyword)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelRpKeywordValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $contentType = this.getContentType();
      result = result * 59 + ($contentType == null ? 43 : $contentType.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $matchingType = this.getMatchingType();
      result = result * 59 + ($matchingType == null ? 43 : $matchingType.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $content = this.getContent();
      result = result * 59 + ($content == null ? 43 : $content.hashCode());
      Object $keyword = this.getKeyword();
      result = result * 59 + ($keyword == null ? 43 : $keyword.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelRpKeywordValidate(id=" + this.getId() + ", name=" + this.getName() + ", content=" + this.getContent() + ", contentType=" + this.getContentType() + ", status=" + this.getStatus() + ", keyword=" + this.getKeyword() + ", matchingType=" + this.getMatchingType() + ", sort=" + this.getSort() + ")";
   }
}
